# Enum Class GroupBy

java.lang.Object
java.lang.Enum<GroupBy>
org.daypilot.ui.enums.GroupBy

All Implemented Interfaces:
  `Serializable`, `Comparable<GroupBy>`, `Constable`

public enum GroupBy extends Enum<GroupBy>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL`
  `DAY`
  `DEFAULT`
  `HOUR`
  `MONTH`
  `NONE`
  `WEEK`
  `YEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GroupBy`
  `fromString(String id)`
  `String`
  `toString()`
  `static GroupBy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GroupBy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HOUR

    public static final GroupBy HOUR

  - ### DAY

    public static final GroupBy DAY

  - ### WEEK

    public static final GroupBy WEEK

  - ### MONTH

    public static final GroupBy MONTH

  - ### YEAR

    public static final GroupBy YEAR

  - ### NONE

    public static final GroupBy NONE

  - ### CELL

    public static final GroupBy CELL

  - ### DEFAULT

    public static final GroupBy DEFAULT

- ## Method Details

  - ### values

    public static GroupBy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GroupBy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static GroupBy fromString(String id)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<GroupBy>`